### Method

# Gtk Snapshot push_fill

since: 4.14

#### Declaration [src]

    void
    gtk_snapshot_push_fill (
      GtkSnapshot* snapshot,
      GskPath* path,
      GskFillRule fill_rule
    )

#### Description [src]

Fills the area given by `path` and `fill_rule` with an image and discards everything outside of it.

The image is recorded until the next call to `gtk_snapshot_pop()`.

If you want to fill the path with a color, `gtk_snapshot_append_fill()` than rendering new ones, use `gtk_snapshot_append_fill()` may be more convenient.

Available since: 4.14

#### Parameters

`path`

  Type: `GskPath`

  The path describing the area to fill.

  The data is owned by the caller of the method.

`fill_rule`

  Type: `GskFillRule`

  The fill rule to use.